import React from "react";
import ProductItem from "./ProductItem";
import ProductDetailsTwo from "./ProductDetailsTwo";
import WareHouseItem from "./WarehouseItem";
import ProductSupplierList from "../common/ProductSupplierList";

function SingleProduct({ product, activeWarehouse }) {
  return (
    <div
      className="w-full rounded-md flex flex-col xl:flex-row gap-6 bg-white lg:p-6 p-2  shadow-custom"
      data-aos="fade-up"
    >
      <ProductDetailsTwo
        image={process.env.BASE_URL + product?.thumb_image}
        price={`${product?.min_price}  - ${product?.max_price}`}
        title={product?.name}
        details={product?.specifications}
      />

      <ProductSupplierList
        sellers={product?.seller_list}
        activeWarehouse={activeWarehouse}
      />
    </div>
  );
}

export default SingleProduct;
